# Module: `nbconvert.preprocessors.csshtmlheader`

Module that pre-processes the notebook for export to HTML.

## 1 Class

class `IPython.nbconvert.preprocessors.csshtmlheader.``CSSHTMLHeaderPreprocessor`(config=None, **kw)

  Bases: `IPython.nbconvert.preprocessors.base.Preprocessor`

  Preprocessor used to pre-process notebook for HTML output. Adds IPython notebook front-end CSS and Pygments CSS to HTML output.

  `__init__`(config=None, **kw)

    Public constructor

    Parameters:

    config : Config

    > Configuration file structure

    **kw : misc

    > Additional arguments

  `preprocess`(nb, resources)

    Fetch and add CSS to the resource dictionary

    Fetch CSS from IPython and Pygments to add at the beginning of the html files. Add this css in resources in the “inlining.css” key

    Parameters:

    nb : NotebookNode

    > Notebook being converted

    resources : dictionary

    > Additional resources used in the conversion process. Allows preprocessors to pass variables into the Jinja engine.